MWAWHeaderFooter Class Reference documentation

MWAWHeaderFooter Class Reference

a class which stores the header/footer data More...

`#include <MWAWPageSpan.hxx>`

## Public Types
enum | Type { HEADER , FOOTER , UNDEF }
| the header/footer type More...
enum | Occurrence { ODD , EVEN , ALL , NEVER }
| the header/footer occurrence in the file More...
enum | PageNumberPosition { None = 0 , TopLeft , TopCenter , TopRight , BottomLeft , BottomCenter , BottomRight }
| a fixed page number position More...

## Public Member Functions
| MWAWHeaderFooter (Type const type=UNDEF, Occurrence const occurrence=NEVER)
| constructor
| MWAWHeaderFooter (MWAWHeaderFooter const &)=default
MWAWHeaderFooter & | operator= (MWAWHeaderFooter const &)=default
MWAWHeaderFooter & | operator= (MWAWHeaderFooter &&)=default
| ~MWAWHeaderFooter ()
| destructor
bool | isDefined () const
| returns true if the header footer is defined
void | send (MWAWListener *listener) const
| send to header to the listener
bool | operator== (MWAWHeaderFooter const &headerFooter) const
| operator==
bool | operator!= (MWAWHeaderFooter const &headerFooter) const
| operator!=
void | insertPageNumberParagraph (MWAWListener *listener) const
| insert a page number

## Public Attributes
Type | m_type
| the type header/footer
Occurrence | m_occurrence
| the actual occurrence
double | m_height
| the height ( if known )
PageNumberPosition | m_pageNumberPosition
| the page number position ( or none)
libmwaw::NumberingType | m_pageNumberType
| the page numbering type
MWAWFont | m_pageNumberFont
| the page numbering font
MWAWSubDocumentPtr | m_subDocument
| the document data

## Detailed Description

a class which stores the header/footer data

## Member Enumeration Documentation

## ◆ Occurrence

enum MWAWHeaderFooter::Occurrence

the header/footer occurrence in the file

Enumerator
ODD |
EVEN |
ALL |
NEVER |

## ◆ PageNumberPosition

enum MWAWHeaderFooter::PageNumberPosition

a fixed page number position

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
BottomLeft |
BottomCenter |
BottomRight |

## ◆ Type

enum MWAWHeaderFooter::Type

the header/footer type

Enumerator
HEADER |
FOOTER |
UNDEF |

## Constructor & Destructor Documentation

## ◆ MWAWHeaderFooter() [1/2]

MWAWHeaderFooter::MWAWHeaderFooter | ( | MWAWHeaderFooter::Type const | type = UNDEF,
|  | MWAWHeaderFooter::Occurrence const | occurrence = NEVER )
| explicit

constructor

Referenced by MWAWHeaderFooter(), MWAWHeaderFooter(), operator!=(), operator=(), operator=(), and operator==().

## ◆ MWAWHeaderFooter() [2/2]

MWAWHeaderFooter::MWAWHeaderFooter | ( | MWAWHeaderFooter const & |  | ) |
| default

## ◆ ~MWAWHeaderFooter()

MWAWHeaderFooter::~MWAWHeaderFooter | ( |  | ) |

destructor

## Member Function Documentation

## ◆ insertPageNumberParagraph()

void MWAWHeaderFooter::insertPageNumberParagraph | ( | MWAWListener * | listener | ) | const

insert a page number

## ◆ isDefined()

bool MWAWHeaderFooter::isDefined | ( |  | ) | const
| inline

returns true if the header footer is defined

## ◆ operator!=()

bool MWAWHeaderFooter::operator!= | ( | MWAWHeaderFooter const & | headerFooter | ) | const
| inline

operator!=

## ◆ operator=() [1/2]

MWAWHeaderFooter & MWAWHeaderFooter::operator= | ( | MWAWHeaderFooter && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWHeaderFooter & MWAWHeaderFooter::operator= | ( | MWAWHeaderFooter const & |  | ) |
| default

## ◆ operator==()

bool MWAWHeaderFooter::operator== | ( | MWAWHeaderFooter const & | headerFooter | ) | const

operator==

Referenced by operator!=().

## ◆ send()

void MWAWHeaderFooter::send | ( | MWAWListener * | listener | ) | const

send to header to the listener

## Member Data Documentation

## ◆ m_height

double MWAWHeaderFooter::m_height

the height ( if known )

Referenced by MWAWHeaderFooter(), and operator==().

## ◆ m_occurrence

Occurrence MWAWHeaderFooter::m_occurrence

the actual occurrence

Referenced by MWAWHeaderFooter(), operator==(), send(), and MWAWPageSpan::setHeaderFooter().

## ◆ m_pageNumberFont

MWAWFont MWAWHeaderFooter::m_pageNumberFont

the page numbering font

Referenced by insertPageNumberParagraph(), MWAWHeaderFooter(), and operator==().

## ◆ m_pageNumberPosition

PageNumberPosition MWAWHeaderFooter::m_pageNumberPosition

the page number position ( or none)

Referenced by insertPageNumberParagraph(), MWAWHeaderFooter(), operator==(), and send().

## ◆ m_pageNumberType

libmwaw::NumberingType MWAWHeaderFooter::m_pageNumberType

the page numbering type

Referenced by insertPageNumberParagraph(), MWAWHeaderFooter(), and operator==().

## ◆ m_subDocument

MWAWSubDocumentPtr MWAWHeaderFooter::m_subDocument

the document data

Referenced by ActaParser::createDocument(), BeagleWksDBParser::createDocument(), BeagleWksParser::createDocument(), BeagleWksSSParser::createDocument(), FullWrtParser::createDocument(), GreatWksDBParser::createDocument(), GreatWksParser::createDocument(), GreatWksSSParser::createDocument(), HanMacWrdJParser::createDocument(), HanMacWrdKParser::createDocument(), JazzWriterParser::createDocument(), LightWayTxtParser::createDocument(), MacWrtParser::createDocument(), MarinerWrtParser::createDocument(), MindWrtParser::createDocument(), MoreParser::createDocument(), MouseWrtParser::createDocument(), MsWrd1Parser::createDocument(), MsWrdParser::createDocument(), MultiplanParser::createDocument(), NisusWrtParser::createDocument(), ScriptWriterParser::createDocument(), SpringBoardParser::createDocument(), StudentWritingCParser::createDocument(), WordMakerParser::createDocument(), WriteNowParser::createDocument(), WriterPlsParser::createDocument(), ZWrtParser::createDocument(), MsWksDocument::getPageSpanList(), MWAWHeaderFooter(), operator==(), send(), MacWrtProStructures::updatePageSpan(), ClarisWksDocument::updatePageSpanList(), ClarisWksText::updatePageSpanList(), and DocMkrText::updatePageSpanList().

## ◆ m_type

Type MWAWHeaderFooter::m_type

the type header/footer

Referenced by isDefined(), MWAWHeaderFooter(), operator==(), send(), and MWAWPageSpan::setHeaderFooter().

The documentation for this class was generated from the following files:

- MWAWPageSpan.hxx
- MWAWPageSpan.cxx